From 1021f327657a464fbe8bd9eab927f18b8cf7556e Mon Sep 17 00:00:00 2001
From: Sahil Malhotra <sahil.malhotra@nxp.com>
Date: Sat, 3 Aug 2019 09:45:28 +0530
Subject: [PATCH] arm64: dts: fsl: add optee node for ls1028

For enabling OP-TEE on LS1028, need to add optee node
in DTS

Signed-off-by: Sahil Malhotra <sahil.malhotra@nxp.com>
---
 arch/arm64/boot/dts/freescale/fsl-ls1028a.dtsi | 7 +++++++
 1 file changed, 7 insertions(+)

--- a/arch/arm64/boot/dts/freescale/fsl-ls1028a.dtsi
+++ b/arch/arm64/boot/dts/freescale/fsl-ls1028a.dtsi
@@ -769,6 +769,13 @@
 		};
 	};
 
+	firmware {
+		optee {
+			compatible = "linaro,optee-tz";
+			method = "smc";
+		};
+	};
+
 	malidp0: display@f080000 {
 		compatible = "arm,mali-dp500";
 		reg = <0x0 0xf080000 0x0 0x10000>;
